Bug 455127 - Xorg lockups with second run on G35 using i810
Xorg lockups with second run on G35 using i810
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-12 08:29 EDT by Jani Ollikainen
Modified: 2009-07-14 13:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:45:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (635 bytes, text/plain)
2008-07-12 08:29 EDT, Jani Ollikainen
no flags Details
Xorg startup log with the lockup (20.62 KB, text/plain)
2008-07-12 08:31 EDT, Jani Ollikainen
no flags Details

  None (edit)
Description Jani Ollikainen 2008-07-12 08:29:37 EDT
Description of problem:
Xorg will only give one working session, then it will lockup.


Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.3.2-2.fc9.i386

How reproducible:
Just booting up plain install of Fedora 9

Actual results:
Broken graphics

Expected results:
Working graphics

Additional info:
Best workaround is to disable graphical boot, then you will get one working
session out of the Xorg. Driver param NoAccel will not fix the problem, it won't
do a lockup but the screen is messy.
Comment 1 Jani Ollikainen 2008-07-12 08:29:38 EDT
Created attachment 311642 [details]
xorg.conf
Comment 2 Jani Ollikainen 2008-07-12 08:31:02 EDT
Created attachment 311643 [details]
Xorg startup log with the lockup
Comment 3 Jani Ollikainen 2008-07-12 08:34:22 EDT
Oh and btw. Fedora 8 worked nicely.

And lspci says:
00:02.0 VGA compatible controller: Intel Corporation 82G35 Express Integrated
Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation 82G35 Express Integrated Graphics
Controller (rev 03)
Comment 4 Matěj Cepl 2008-07-14 19:01:38 EDT
Looks like a nice crash in
/usr/lib/xorg/modules/extensions//libdri.so(DRILock+0xa1) [0x6c0be1]
Comment 5 dhawes 2008-08-26 12:20:33 EDT
If you have 4G or more of ram in your PC and the problem goes away if you
remove some of it so you have less than 4G of ram, then this is the same as
bug 450247
Comment 6 Bug Zapper 2009-06-09 22:03:50 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 13:45:46 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.